#include <iostream>
#include <vector>
#include <map>
#include <set>
#include <algorithm>
#include <cmath>
#define ll long long

using namespace::std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    string c; cin >> c;
    int a1, a2; cin >> a1 >> a2;
    if(abs(a1 - a2) > 1) cout << "nemoguce" << endl;
    else {
        for(int i=0;i<a1+a2;i++){
            if(a1 > a2) cout << c[i % 2];
            else cout << c[(i+1) % 2];
        }
        cout << endl;
    }
    return 0;
}